For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
      • GETGet all flags (SDK)
      • GETGet a single feature flag
  • Frontend API
  • Admin API

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Client APIFeature flags

Get a single feature flag

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/client/features/:featureName
GET
/api/client/features/:featureName
$curl https://app.unleash-instance.example.com/api/client/features/featureName \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "name": "new.payment.flow.stripe",
3 "enabled": true,
4 "type": "release",
5 "description": "No variants here",
6 "stale": false,
7 "impressionData": false,
8 "project": "new.payment.flow",
9 "strategies": [
10 {
11 "name": "flexibleRollout",
12 "id": "6b5157cb-343a-41e7-bfa3-7b4ec3044840",
13 "title": "Gradual Rollout 25-Prod",
14 "disabled": false,
15 "featureName": "myAwesomeFeature",
16 "sortOrder": 9999,
17 "segments": [
18 1,
19 2
20 ],
21 "constraints": [
22 {
23 "contextName": "appName",
24 "operator": "IN",
25 "caseInsensitive": false,
26 "inverted": false,
27 "values": [
28 "my-app",
29 "my-other-app"
30 ],
31 "value": "my-app"
32 }
33 ],
34 "variants": [
35 {
36 "name": "blue_group",
37 "weight": 1,
38 "weightType": "fix",
39 "stickiness": "custom.context.field",
40 "payload": {
41 "type": "json",
42 "value": "{\"color\": \"red\"}"
43 }
44 }
45 ],
46 "parameters": {}
47 }
48 ],
49 "variants": [
50 {
51 "name": "blue_group",
52 "weight": 1.1,
53 "weightType": "variable",
54 "stickiness": "custom.context.field",
55 "payload": {
56 "type": "json",
57 "value": "{\"color\": \"red\"}"
58 },
59 "overrides": [
60 {
61 "contextName": "userId",
62 "values": [
63 "red",
64 "blue"
65 ]
66 }
67 ]
68 }
69 ],
70 "dependencies": [
71 {
72 "feature": "parent_feature",
73 "enabled": false,
74 "variants": [
75 "variantA",
76 "variantB"
77 ]
78 }
79 ]
80}

Gets all the client data for a single flag. Contains the exact same information about a flag as the /api/client/features endpoint does, but only contains data about the specified flag. All SDKs should use /api/client/features

Was this page helpful?
Previous

Register client usage metrics

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

featureNamestringRequired

Response

clientFeatureSchema
namestring
The unique name of a feature flag. Is validated to be URL safe on creation
enabledboolean
Whether the feature flag is enabled for the current API key or not. This is ANDed with the evaluation results of the strategies list, so if this is false, the evaluation result will always be false
typestring

What kind of feature flag is this. Refer to the documentation on feature flag types for more information

descriptionstring or null
A description of the flag
staleboolean
If this is true Unleash believes this feature flag has been active longer than Unleash expects a flag of this type to be active
impressionDataboolean or null

Set to true if SDKs should trigger impression events when this flag is evaluated

projectstring
Which project this feature flag belongs to
strategieslist of objects
Evaluation strategies for this flag. Each entry in this list will be evaluated and ORed together
variantslist of objects or null

Variants configured for this flag

dependencieslist of objects
Feature dependencies for this flag